<template>
  <div class="commit-container">
    <el-card style="background: none; box-shadow:none;border: none">
      <template #header>
        <page-header>
          <el-button @click="getBack" style="border: none;background: none;">
            <el-icon :size="22"><Back /></el-icon>
          </el-button>
          <span style="font-size: 36px;font-family: 'Inter',sans-serif">提交详情</span>
        </page-header>
      </template>
      <CommitBoard :commit-id="commitId" :exam-id="examId"></CommitBoard>
    </el-card>
  </div>
</template>

<script>
import CommitBoard from "@/views/CoderPage/ResultPage/CommitPage/components/CommitBoard.vue";
import PageHeader from "@/components/PageHeader.vue";
export default {
  name: "CommitDetail",
  components: {PageHeader, CommitBoard},
  props:{
    commitId:{
      type: Number,
      required: true
    },
    examId: {
      type:Number,
      required: true
    }
  },
  data() {
    return {

    };
  },
  computed: {
    // eslint-disable-next-line vue/no-dupe-keys
    examId(){
      const {examId} = this.$route.params;
      return examId;
    }
  },
  mounted() {

  },
  methods: {
    getBack() {
      this.$router.go(-1);
    }
  }
};
</script>

<style lang="scss" scoped>
.commit-container {
  margin: 40px 10vw 80px 10vw;
  min-height: calc(100vh - 100px);
}

:deep .el-card__header {
  border-bottom: 1px solid black;
}
</style>
